### Method

# Gtk BuildableParseContext get_position

#### Declaration [src]

    void
    gtk_buildable_parse_context_get_position (
      GtkBuildableParseContext* context,
      int* line_number,
      int* char_number
    )

#### Description [src]

Retrieves the current line number and the number of the character on that line. Intended for use in error messages; there are no strict semantics for what constitutes the “current” line number other than “the best number we could come up with for error messages.”.

#### Parameters

`line_number` | `int*`
| Return location for a line number.
| The argument will be set by the function.
| The argument can be `NULL`.
| The instance takes ownership of the data, and is responsible for freeing it.
`char_number` | `int*`
| Return location for a char-on-line number.
| The argument will be set by the function.
| The argument can be `NULL`.
| The instance takes ownership of the data, and is responsible for freeing it.